org.apache.commons.jexl.util

## Class GetExecutor

- java.lang.Object
- - org.apache.commons.jexl.util.AbstractExecutor
  - - org.apache.commons.jexl.util.GetExecutor

    public class GetExecutor
    extends AbstractExecutor

Executor that simply tries to execute a get(key) operation. This will try to find a get(key) method for any type of object, not just objects that implement the Map interface as was previously the case.

Since:
  1.0
Version:
  $Id: GetExecutor.java 584046 2007-10-12 05:14:37Z proyal $
Author:
  Jason van Zyl

### Field Summary

### Fields inherited from class org.apache.commons.jexl.util.AbstractExecutor

`method, rlog`

### Constructor Summary

Constructors
Constructor and Description
`GetExecutor(org.apache.commons.logging.Log r, Introspector ispect, java.lang.Class c, java.lang.String key)` Default constructor.

### Method Summary

Methods
`java.lang.Object` `execute(java.lang.Object o)` Execute method against context.

### Methods inherited from class org.apache.commons.jexl.util.AbstractExecutor

`getMethod, isAlive`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetExecutor

    public GetExecutor(org.apache.commons.logging.Log r,
               Introspector ispect,
               java.lang.Class c,
               java.lang.String key)
                throws java.lang.Exception

Default constructor.

Parameters:
  `r` - The instance log.
  `ispect` - The JEXL introspector.
  `c` - The class being examined.
  `key` - The key for the get(key) operation.
Throws:
  `java.lang.Exception` - Failure while trying to obtain the pertinent method.

### Method Detail

#### execute

    public java.lang.Object execute(java.lang.Object o)
                             throws java.lang.IllegalAccessException,
                                    java.lang.reflect.InvocationTargetException

Execute method against context.

Specified by:
  `execute` in class `AbstractExecutor`
Parameters:
  `o` - The owner.
Returns:
  The return value.
Throws:
  `java.lang.IllegalAccessException` - Method is inaccessible.
  `java.lang.reflect.InvocationTargetException` - Method body throws an exception.